<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.19
Name: Indication
Description: The Indication Observation documents the rationale for an activity. It can do this with the id element to reference a problem recorded elsewhere in the document or with a code and value to record the problem type and problem within the Indication. For example, the indication for a prescription of a painkiller might be a headache that is documented in the Problems Section.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000">
   <title>Indication</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]
Item: (Indication)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]"
         id="d127e976-false-d833e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="string(@classCode)=('OBS')">conf-7480: The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="string(@moodCode)=('EVN')">conf-7481: The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&gt;=1">(Indication): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&lt;=1">(Indication): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:id)&gt;=1">(Indication): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:id)&lt;=1">(Indication): element cda:id appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(Indication): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(Indication): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Indication): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Indication): element cda:statusCode[@code='completed'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(Indication): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="count(cda:value)&lt;=1">(Indication): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']"
         id="d127e988-false-d919e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.19')">conf-10502: The value for @root SHALL be '2.16.840.1.113883.10.20.22.4.19'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:id
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:id"
         id="d127e1001-false-d937e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e1011-false-d953e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2012-06-01T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Indication): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (2012-06-01T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e1022-false-d975e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(Indication): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:effectiveTime
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:effectiveTime"
         id="d127e1032-false-d995e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:value
Item: (Indication)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19']]/cda:value"
         id="d127e1040-false-d1009e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Indication): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2013-01-31T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">conf-15985: The value for code SHALL be selected from value set '2.16.840.1.113883.3.88.12.3221.7.4' Problem (DYNAMIC).</assert>
   </rule>
</pattern>
