<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.19
Name: Indication (V2)
Description: This template represents the rationale for an action such as an encounter, a medication administration, or a procedure. The id element can be used to reference a problem recorded elsewhere in the document, or can be used with a code and value to record the problem. Indications for treatment are not laboratory results; rather the problem associated with the laboratory result should be sited (e.g., hypokalemia instead of a laboratory result of Potassium 2.0 mEq/L). Use the Drug Monitoring Act [[]templateId 2.16.840.1.113883.10.20.22.4.123] to indicate if a particular drug needs special monitoring (e.g., anticoagulant therapy). Use Precondition for Substance Administration (V2) [[]templateId 2.16.840.1.113883.10.20.22.4.25.2] to represent that a medication is to be administered only when the associated criteria are met.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000">
   <title>Indication (V2)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]
Item: (IndicationV2)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]"
         id="d127e875-false-d608e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@classCode)=('OBS')">CONF:1098-7480: The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@moodCode)=('EVN')">CONF:1098-7481: The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&gt;=1">(IndicationV2): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'])&lt;=1">(IndicationV2): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:id)&gt;=1">(IndicationV2): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(IndicationV2): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(IndicationV2): element cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(IndicationV2): element cda:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(IndicationV2): element cda:statusCode[@code='completed'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(IndicationV2): element cda:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="count(cda:value)&lt;=1">(IndicationV2): element cda:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.19']"
         id="d127e893-false-d693e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.19')">CONF:1098-10502: The value for @root SHALL be '2.16.840.1.113883.10.20.22.4.19'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="string(@extension)=('2014-06-09')">CONF:1098-32570: The value for @extension SHALL be '2014-06-09'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:id
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:id"
         id="d127e917-false-d715e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e925-false-d731e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.2-2014-09-02T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IndicationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.2 Problem Type (2014-09-02T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:statusCode[@code='completed'][not(@nullFlavor)]
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e936-false-d753e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or (@code='completed')">(IndicationV2): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:effectiveTime
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:effectiveTime"
         id="d127e946-false-d773e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.19
Context: *[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:value
Item: (IndicationV2)
-->

   <rule context="*[cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]]/cda:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.19'][@extension='2014-06-09']]/cda:value"
         id="d127e954-false-d787e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(IndicationV2): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.19-2014-06-09T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.88.12.3221.7.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(IndicationV2): The element value SHALL be one of '2.16.840.1.113883.3.88.12.3221.7.4 Problem (DYNAMIC)'.</assert>
   </rule>
</pattern>
