<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.64
Name: Comment Activity
Description: Comments are free text data that cannot otherwise be recorded using data elements already defined by this specification. They are not to be used to record information that can be recorded elsewhere. For example, a free text description of the severity of an allergic reaction would not be recorded in a comment.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000">
   <title>Comment Activity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]
Item: (CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]"
         id="d127e1075-false-d1060e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="string(@classCode)=('ACT')">CONF:81-9425: The value for @classCode SHALL be 'ACT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:81-9426: The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&gt;=1">(CommentActivity): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'])&lt;=1">(CommentActivity): element cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:text[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:text[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:author)&lt;=1">(CommentActivity): element cda:author appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64']
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:templateId[@root='2.16.840.1.113883.10.20.22.4.64']"
         id="d127e1096-false-d1123e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.22.4.64')">CONF:81-10491: The value for @root SHALL be '2.16.840.1.113883.10.20.22.4.64'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d127e1112-false-d1141e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(CommentActivity): The element value SHALL be one of 'code '48767-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:text[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:text[not(@nullFlavor)]"
         id="d127e1123-false-d1161e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:reference[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:reference[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:reference[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:text[not(@nullFlavor)]/cda:reference[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:text[not(@nullFlavor)]/cda:reference[not(@nullFlavor)]"
         id="d127e1130-false-d1184e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="@value">CONF:81-15968: attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="not(@value) or starts-with(@value, '#')">(CommentActivity): This reference/@value SHALL begin with a '#' and SHALL point to its corresponding narrative (using the approach defined in CDA Release 2, section 4.3.5.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author"
         id="d127e1150-false-d1198e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:time[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:time[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:time[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:assignedAuthor[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:assignedAuthor[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:assignedAuthor[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:time[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]"
         id="d127e1165-false-d1244e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:id)&gt;=1">(CommentActivity): element cda:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:id)&lt;=1">(CommentActivity): element cda:id appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:addr[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:addr[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:addr[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:addr[not(@nullFlavor)] appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(cda:assignedPerson|cda:representedOrganization)"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="$elmcount&gt;=1">(CommentActivity): choice (cda:assignedPerson or cda:representedOrganization) does not contain enough elements [min 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:id
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:id"
         id="d127e1172-false-d1297e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:addr[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:addr[not(@nullFlavor)]"
         id="d127e1180-false-d1311e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CommentActivity): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="cda:streetAddressLine and cda:city and ((not(cda:country) or cda:country!='US') or (cda:country='US' and cda:state and cda:postalCode))">(CommentActivity): The content of addr SHALL be a conformant US Realm Address (AD.US.FIELDED) (2.16.840.1.113883.10.20.22.5.2)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson"
         id="d127e1193-false-d1325e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:name[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:name[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:name[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name[not(@nullFlavor)]
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:assignedPerson/cda:name[not(@nullFlavor)]"
         id="d127e1195-false-d1348e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="(cda:given and cda:family) or (not(*) and string-length(.)!=0)">(CommentActivity): An assignedPerson/name SHALL be a conformant US Realm Person Name (PN.US.FIELDED) (2.16.840.1.113883.10.20.22.5.1.1)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization
Item: (CommentActivity)
-->

   <rule context="*[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization"
         id="d127e1202-false-d1359e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:name[not(@nullFlavor)])&gt;=1">(CommentActivity): element cda:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.20.22.4.64-2015-08-13T000000.html"
              test="count(cda:name[not(@nullFlavor)])&lt;=1">(CommentActivity): element cda:name[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.64
Context: *[cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]]/cda:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.64']]/cda:author/cda:assignedAuthor[not(@nullFlavor)]/cda:representedOrganization/cda:name[not(@nullFlavor)]
Item: (CommentActivity)
-->
</pattern>
