<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.10
Name: UV Medication Information (simple)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.10-2017-05-10T000000">
   <title>UV Medication Information (simple)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]
Item: (UVMedicationInformationsimple)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]
Item: (UVMedicationInformationsimple)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]"
         id="d127e1719-false-d16731e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="string(@classCode)=('MANU')">(UVMedicationInformationsimple): The value for @classCode SHALL be 'MANU'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVMedicationInformationsimple): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.10'])&gt;=1">(UVMedicationInformationsimple): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.10'])&lt;=1">(UVMedicationInformationsimple): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.10'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)])&gt;=1">(UVMedicationInformationsimple): element hl7:manufacturedMaterial[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:manufacturedMaterial[not(@nullFlavor)])&lt;=1">(UVMedicationInformationsimple): element hl7:manufacturedMaterial[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:manufacturerOrganization)&lt;=1">(UVMedicationInformationsimple): element hl7:manufacturerOrganization appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']
Item: (UVMedicationInformationsimple)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']"
         id="d127e1723-false-d16839e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationsimple): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.10')">(UVMedicationInformationsimple): The value for @root SHALL be '2.16.840.1.113883.10.21.4.10'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVMedicationInformationsimple): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]
Item: (UVMedicationInformationsimple)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]"
         id="d127e1728-false-d16860e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:code)&gt;=1">(UVMedicationInformationsimple): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:code)&lt;=1">(UVMedicationInformationsimple): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(UVMedicationInformationsimple): element hl7:lotNumberText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]/hl7:code
Item: (UVMedicationInformationsimple)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]/hl7:code"
         id="d127e1730-false-d16892e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationsimple): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]/hl7:code/hl7:translation
Item: (UVMedicationInformationsimple)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]/hl7:code/hl7:translation"
         id="d127e1732-false-d16912e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.10-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationsimple): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturedMaterial[not(@nullFlavor)]/hl7:lotNumberText
Item: (UVMedicationInformationsimple)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.10
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization
Item: (UVMedicationInformationsimple)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:name">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'PART'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): The element value SHALL be one of '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]]/hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.10.21.4.10']]/hl7:manufacturerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
</pattern>
