<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.11
Name: UV Medication Information (detail)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.11-2017-05-10T000000">
   <title>UV Medication Information (detail)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]"
         id="d127e1755-false-d17426e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('MMAT') or not(@classCode)">(UVMedicationInformationdetail): The value for @classCode SHALL be 'MMAT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@determinerCode)=('KIND') or not(@determinerCode)">(UVMedicationInformationdetail): The value for @determinerCode SHALL be 'KIND'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.11'])&gt;=1">(UVMedicationInformationdetail): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.11'])&lt;=1">(UVMedicationInformationdetail): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.11'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:code)&gt;=1">(UVMedicationInformationdetail): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:code)&lt;=1">(UVMedicationInformationdetail): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:name)&gt;=1">(UVMedicationInformationdetail): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:name)&lt;=1">(UVMedicationInformationdetail): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(UVMedicationInformationdetail): element hl7:lotNumberText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']"
         id="d127e1761-false-d17519e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.11')">(UVMedicationInformationdetail): The value for @root SHALL be '2.16.840.1.113883.10.21.4.11'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVMedicationInformationdetail): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code"
         id="d127e1766-false-d17540e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:originalText)&lt;=1">(UVMedicationInformationdetail): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code/hl7:originalText
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code/hl7:originalText"
         id="d127e1783-false-d17563e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:reference)&gt;=1">(UVMedicationInformationdetail): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(hl7:reference)&lt;=1">(UVMedicationInformationdetail): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code/hl7:originalText/hl7:reference
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:code/hl7:originalText/hl7:reference"
         id="d127e1785-false-d17589e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@nullFlavor)=('NA') or not(@nullFlavor)">(UVMedicationInformationdetail): The value for @nullFlavor SHALL be 'NA'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(UVMedicationInformationdetail): Attribute @nullFlavor SHALL be of data type 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:name
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:name"
         id="d127e1792-false-d17610e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:EN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@nullFlavor)=('NA') or not(@nullFlavor)">(UVMedicationInformationdetail): The value for @nullFlavor SHALL be 'NA'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(UVMedicationInformationdetail): Attribute @nullFlavor SHALL be of data type 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:formCode
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:formCode"
         id="d127e1813-false-d17631e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:lotNumberText
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/hl7:lotNumberText"
         id="d127e1819-false-d17645e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:expirationTime
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:expirationTime"
         id="d127e1825-false-d17659e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(*)">(UVMedicationInformationdetail): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="@value">(UVMedicationInformationdetail): attribute @value SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent"
         id="d127e1833-false-d17680e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('CONT')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'CONT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1">(UVMedicationInformationdetail): element pharm:containerPackagedMedicine is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine"
         id="d127e1931-false-d17703e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('CONT')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'CONT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(UVMedicationInformationdetail): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(pharm:capacityQuantity) or pharm:formCode">(UVMedicationInformationdetail): pharm:formCode SHALL be present if pharm:asSuperContent present</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:formCode)&lt;=1">(UVMedicationInformationdetail): element pharm:formCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&gt;=1">(UVMedicationInformationdetail): element pharm:capacityQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&lt;=1">(UVMedicationInformationdetail): element pharm:capacityQuantity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code"
         id="d127e1937-false-d17760e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:name
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:name"
         id="d127e1939-false-d17774e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:EN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:formCode"
         id="d127e1941-false-d17788e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]"
         id="d127e1947-false-d17802e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="$digitok or @nullFlavor">(UVMedicationInformationdetail): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UVMedicationInformationdetail): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="@value">(UVMedicationInformationdetail): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(UVMedicationInformationdetail): Attribute @unit SHALL be of data type 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent"
         id="d127e1954-false-d17830e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1">(UVMedicationInformationdetail): element pharm:containerPackagedMedicine is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine"
         id="d127e1956-false-d17850e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('CONT')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'CONT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(UVMedicationInformationdetail): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&gt;=1">(UVMedicationInformationdetail): element pharm:capacityQuantity[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)])&lt;=1">(UVMedicationInformationdetail): element pharm:capacityQuantity[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:asSuperContent/pharm:containerPackagedMedicine/pharm:capacityQuantity[not(@nullFlavor)]"
         id="d127e1962-false-d17880e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationInformationdetail): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="$digitok or @nullFlavor">(UVMedicationInformationdetail): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(UVMedicationInformationdetail): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="@value">(UVMedicationInformationdetail): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(UVMedicationInformationdetail): Attribute @unit SHALL be of data type 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind"
         id="d127e1973-false-d17908e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('GRIC')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'GRIC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind/pharm:generalizedMedicineClass
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind/pharm:generalizedMedicineClass"
         id="d127e1988-false-d17928e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('MMAT')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'MMAT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:code)&gt;=1">(UVMedicationInformationdetail): element pharm:code is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:code)&lt;=1">(UVMedicationInformationdetail): element pharm:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:code
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:asSpecializedKind/pharm:generalizedMedicineClass/pharm:name
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient"
         id="d127e1998-false-d17982e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('ACTI')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'ACTI'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:quantity)&lt;=1">(UVMedicationInformationdetail): element pharm:quantity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:quantity
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:quantity"
         id="d127e2020-false-d18011e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:numerator)&lt;=1">(UVMedicationInformationdetail): element pharm:numerator appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:denominator)&lt;=1">(UVMedicationInformationdetail): element pharm:denominator appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:quantity/pharm:numerator
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:quantity/pharm:denominator
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:ingredient
Item: (UVMedicationInformationdetail)
-->

   <rule context="*[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:ingredient"
         id="d127e2057-false-d18062e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@classCode)=('MMAT')">(UVMedicationInformationdetail): The value for @classCode SHALL be 'MMAT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="string(@determinerCode)=('KIND')">(UVMedicationInformationdetail): The value for @determinerCode SHALL be 'KIND'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:code)&lt;=1">(UVMedicationInformationdetail): element pharm:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:name)&gt;=1">(UVMedicationInformationdetail): element pharm:name is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.11-2017-05-10T000000.html"
              test="count(pharm:name)&lt;=1">(UVMedicationInformationdetail): element pharm:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:ingredient/pharm:code
Item: (UVMedicationInformationdetail)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.11
Context: *[hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]]/hl7:manufacturedMaterial[hl7:templateId[@root='2.16.840.1.113883.10.21.4.11']]/pharm:ingredient/pharm:ingredient/pharm:name
Item: (UVMedicationInformationdetail)
-->
</pattern>
