<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.12
Name: UV Substitution Event
Description: Information about the substitution event occurred with the supply.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.12-2017-01-03T000000">
   <title>UV Substitution Event</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.12
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]
Item: (UVSubstitutionEvent)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]"
         id="d127e2071-false-d18125e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']])&gt;=1">(UVSubstitutionEvent): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']])&lt;=1">(UVSubstitutionEvent): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.12
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]
Item: (UVSubstitutionEvent)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]"
         id="d127e2101-false-d18149e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="string(@classCode)=('ACT')">(UVSubstitutionEvent): The value for @classCode SHALL be 'ACT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVSubstitutionEvent): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="string(@moodCode)=('EVN')">(UVSubstitutionEvent): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UVSubstitutionEvent): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.12'])&gt;=1">(UVSubstitutionEvent): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.12'])&lt;=1">(UVSubstitutionEvent): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.12'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&gt;=1">(UVSubstitutionEvent): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(UVSubstitutionEvent): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.12
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']
Item: (UVSubstitutionEvent)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']"
         id="d127e2107-false-d18199e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubstitutionEvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.12')">(UVSubstitutionEvent): The value for @root SHALL be '2.16.840.1.113883.10.21.4.12'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVSubstitutionEvent): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.12
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (UVSubstitutionEvent)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.21.4.12']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d127e2112-false-d18222e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubstitutionEvent): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.12-2017-01-03T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16621-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(UVSubstitutionEvent): The element value SHALL be one of '2.16.840.1.113883.1.11.16621 ActSubstanceAdminSubstitutionCode (DYNAMIC)'.</assert>
   </rule>
</pattern>
