<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.4
Name: UV ClinicalStatement Encounter
Description: Clinical Statement Minimal Encounter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.4-2017-01-02T000000">
   <title>UV ClinicalStatement Encounter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.4
Context: *[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]
Item: (UVClinicalStatementMinimalEncounter)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.4
Context: *[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]
Item: (UVClinicalStatementMinimalEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]"
         id="d127e2435-false-d29232e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="string(@classCode)=('ENC') or not(@classCode)">(UVClinicalStatementMinimalEncounter): The value for @classCode SHALL be 'ENC'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVClinicalStatementMinimalEncounter): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="string(@moodCode)=('EVN')">(UVClinicalStatementMinimalEncounter): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UVClinicalStatementMinimalEncounter): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.4'])&gt;=1">(UVClinicalStatementMinimalEncounter): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.4'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.4'])&lt;=1">(UVClinicalStatementMinimalEncounter): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.4'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.4
Context: *[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']
Item: (UVClinicalStatementMinimalEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']"
         id="d127e2441-false-d29274e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVClinicalStatementMinimalEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.4')">(UVClinicalStatementMinimalEncounter): The value for @root SHALL be '2.16.840.1.113883.10.21.4.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.4
Context: *[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]/hl7:id
Item: (UVClinicalStatementMinimalEncounter)
-->

   <rule context="*[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]]/hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.10.21.4.4']]/hl7:id"
         id="d127e2446-false-d29292e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.4-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVClinicalStatementMinimalEncounter): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
</pattern>
