<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.6
Name: UV Subordinate Substance Administration
Description: This is the Subordinate Substance Administration to convey information about dosages
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.6-2017-04-30T000000">
   <title>UV Subordinate Substance Administration</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]"
         id="d127e2546-false-d29551e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']])&gt;=1">(UVSubordinateadministration): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']])&lt;=1">(UVSubordinateadministration): element hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]"
         id="d127e2581-false-d29575e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="string(@classCode)=('SBADM')">(UVSubordinateadministration): The value for @classCode SHALL be 'SBADM'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVSubordinateadministration): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="@moodCode">(UVSubordinateadministration): attribute @moodCode SHALL be present.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UVSubordinateadministration): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(doc('include/voc-2.16.840.1.113883.11.20.9.18-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@moodCode) or count($theAttValue) = count($theAttCheck)">(UVSubordinateadministration): The value for moodCode SHALL be selected from value set '2.16.840.1.113883.11.20.9.18' MoodCodeEvnInt (DYNAMIC).</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.6'])&gt;=1">(UVSubordinateadministration): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.6'])&lt;=1">(UVSubordinateadministration): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)])&gt;=1">(UVSubordinateadministration): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)])&lt;=1">(UVSubordinateadministration): element hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1">(UVSubordinateadministration): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(UVSubordinateadministration): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(UVSubordinateadministration): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(UVSubordinateadministration): element hl7:rateQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:consumable)&gt;=1">(UVSubordinateadministration): element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:consumable)&lt;=1">(UVSubordinateadministration): element hl7:consumable appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']"
         id="d127e2596-false-d29681e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubordinateadministration): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.6')">(UVSubordinateadministration): The value for @root SHALL be '2.16.840.1.113883.10.21.4.6'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVSubordinateadministration): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)]
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:statusCode[@code=doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code][not(@nullFlavor)]"
         id="d127e2601-false-d29704e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubordinateadministration): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.21.2-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(UVSubordinateadministration): The element value SHALL be one of '2.16.840.1.113883.11.21.2 ActStatusActiveCompletedAbortedSuspended (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:effectiveTime
Item: (UVSubordinateadministration)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:doseQuantity
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:doseQuantity"
         id="d127e2664-false-d29740e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubordinateadministration): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(UVSubordinateadministration): Attribute @unit SHALL be of data type 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:rateQuantity
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:rateQuantity"
         id="d127e2734-false-d29767e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVSubordinateadministration): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(UVSubordinateadministration): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable"
         id="d127e2736-false-d29790e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1">(UVSubordinateadministration): element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(UVSubordinateadministration): element hl7:manufacturedProduct appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable/hl7:manufacturedProduct
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable/hl7:manufacturedProduct"
         id="d127e2738-false-d29813e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1">(UVSubordinateadministration): element hl7:manufacturedMaterial is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(UVSubordinateadministration): element hl7:manufacturedMaterial appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.6
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (UVSubordinateadministration)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.6']]/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="d127e2740-false-d29836e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="string(@nullFlavor)=('NA')">(UVSubordinateadministration): The value for @nullFlavor SHALL be 'NA'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.6-2017-04-30T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(UVSubordinateadministration): Attribute @nullFlavor SHALL be of data type 'cs'</assert>
   </rule>
</pattern>
