<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.8
Name: UV Medication Order Reference
Description: This is the universal Medication Order (Substance Administration Request)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.8-2017-03-30T000000">
   <title>UV Medication Order Reference</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]
Item: (UVMedicationOrderReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]
Item: (UVMedicationOrderReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]"
         id="d127e3352-false-d38293e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="string(@classCode)=('SBADM')">(UVMedicationOrderReference): The value for @classCode SHALL be 'SBADM'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVMedicationOrderReference): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="string(@moodCode)=('EVN')">(UVMedicationOrderReference): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UVMedicationOrderReference): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.8'])&gt;=1">(UVMedicationOrderReference): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.8'])&lt;=1">(UVMedicationOrderReference): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.8'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="count(hl7:id)&gt;=1">(UVMedicationOrderReference): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="count(hl7:id)&lt;=1">(UVMedicationOrderReference): element hl7:id appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']
Item: (UVMedicationOrderReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']"
         id="d127e3358-false-d38445e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationOrderReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.8')">(UVMedicationOrderReference): The value for @root SHALL be '2.16.840.1.113883.10.21.4.8'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVMedicationOrderReference): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:id
Item: (UVMedicationOrderReference)
-->

   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:id"
         id="d127e3363-false-d38466e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.8-2017-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVMedicationOrderReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.8
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author
Item: (UVMedicationOrderReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAAuthorBody): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAAuthorBody): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:functionCode)&lt;=1">(CDAAuthorBody): element hl7:functionCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1">(CDAAuthorBody): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAAuthorBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1">(CDAAuthorBody): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAAuthorBody): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:functionCode
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:functionCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAAuthorBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:time
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:time">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="not(*)">(CDAAuthorBody): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAuthorBody): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1">(CDAAuthorBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAuthorBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAAuthorBody): choice (hl7:assignedPerson or hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAuthorBody): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:code">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAuthorBody): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:addr">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBody)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:telecom">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAuthorBody): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADevice)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADevice): The value for @classCode SHALL be 'DEV'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADevice): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code
Item: (CDADevice)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADevice): The element value SHALL be one of '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADevice)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SC", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'PART'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.5.111''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): The element value SHALL be one of '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="*[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]]/hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.10.21.4.8']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
</pattern>
