<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.21.4.9
Name: UV Dispense Event Reference
Description: This is a reference to a Dispense Event
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.21.4.9-2017-03-30T000000">
   <title>UV Dispense Event Reference</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.9
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]
Item: (UVDispenseEventReference)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.9
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]
Item: (UVDispenseEventReference)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]"
         id="d127e3397-false-d39600e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="string(@classCode)=('SPLY')">(UVDispenseEventReference): The value for @classCode SHALL be 'SPLY'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(UVDispenseEventReference): Attribute @classCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="string(@moodCode)=('EVN')">(UVDispenseEventReference): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(UVDispenseEventReference): Attribute @moodCode SHALL be of data type 'cs'</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.9'])&gt;=1">(UVDispenseEventReference): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.21.4.9'])&lt;=1">(UVDispenseEventReference): element hl7:templateId[@root='2.16.840.1.113883.10.21.4.9'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="count(hl7:id)&gt;=1">(UVDispenseEventReference): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="count(hl7:id)&lt;=1">(UVDispenseEventReference): element hl7:id appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.9
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']
Item: (UVDispenseEventReference)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]/hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']"
         id="d127e3403-false-d39648e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVDispenseEventReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.21.4.9')">(UVDispenseEventReference): The value for @root SHALL be '2.16.840.1.113883.10.21.4.9'.</assert>
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(UVDispenseEventReference): Attribute @root SHALL be of data type 'uid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.21.4.9
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]/hl7:id
Item: (UVDispenseEventReference)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.10.21.4.9']]/hl7:id"
         id="d127e3408-false-d39669e0">
      <assert role="error"
              see="http://hl7intl.art-decor.org/pharmcda-html-20170802T135505/tmp-2.16.840.1.113883.10.21.4.9-2017-03-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UVDispenseEventReference): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
</pattern>
